package org.jeecg.modules.basedata.entity;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 功能描述：
 *
 * @Author: chenchuang
 * @Date: 2020/7/14 15:27
 */
public class FdWorkTasksTree implements Serializable {
    private static final long serialVersionUID = 1L;
    private String key;

    private String value;

    private String title;
    /** 是否叶子节点*/
    private boolean isLeaf;

    private List<FdWorkTasksTree> children = new ArrayList<>();

    /**工时任务主键*/
    private String id;
    /**任务名称*/
    private String name;
    /**1临床2生物分析3非项目工时任务*/
    private String type;
    /**删除标记0正常1删除*/
    private String delFlag;
    /**创建人*/
    private String createBy;
    /**创建时间*/
    private Date createTime;
    /**最后修改人*/
    private String updateBy;
    /**最后修改时间*/
    private Date updateTime;
    /**备注*/
    private String memo;
    /**父级分类*/
    private String parentId;
    /**对应的所有父级分类，以逗号隔开*/
    private String parentIds;
    /**扩展字段1*/
    private String def1;
    /**扩展字段2*/
    private String def2;
    /**扩展字段3*/
    private String def3;
    /**扩展字段4*/
    private String def4;
    /**扩展字段5*/
    private String def5;
    /**排序*/
    private Integer sort;

    public FdWorkTasksTree(){}
    public FdWorkTasksTree(FdWorkTasks fdWorkTasks){
        this.id=fdWorkTasks.getId();
        this.name=fdWorkTasks.getName();
        this.parentId=fdWorkTasks.getParentId();
        this.parentIds=fdWorkTasks.getParentIds();
        this.key=fdWorkTasks.getId();
        this.value=fdWorkTasks.getId();
        this.title=fdWorkTasks.getName();
        this.type=fdWorkTasks.getType();
        this.sort=fdWorkTasks.getSort();
        this.delFlag=fdWorkTasks.getDelFlag();
        this.createBy = fdWorkTasks.getCreateBy();
        this.createTime = fdWorkTasks.getCreateTime();
        this.updateBy = fdWorkTasks.getUpdateBy();
        this.updateTime = fdWorkTasks.getUpdateTime();
        this.memo = fdWorkTasks.getMemo();
        this.def1 = fdWorkTasks.getDef1();
        this.def2 = fdWorkTasks.getDef2();
        this.def3 = fdWorkTasks.getDef3();
        this.def4 = fdWorkTasks.getDef4();
        this.def5 = fdWorkTasks.getDef5();
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public boolean getIsLeaf() {
        return isLeaf;
    }

    public void setIsLeaf(boolean leaf) {
        isLeaf = leaf;
    }

    public List<FdWorkTasksTree> getChildren() {
        return children;
    }

    public void setChildren(List<FdWorkTasksTree> children) {
        this.children = children;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getParentIds() {
        return parentIds;
    }

    public void setParentIds(String parentIds) {
        this.parentIds = parentIds;
    }

    public String getDef1() {
        return def1;
    }

    public void setDef1(String def1) {
        this.def1 = def1;
    }

    public String getDef2() {
        return def2;
    }

    public void setDef2(String def2) {
        this.def2 = def2;
    }

    public String getDef3() {
        return def3;
    }

    public void setDef3(String def3) {
        this.def3 = def3;
    }

    public String getDef4() {
        return def4;
    }

    public void setDef4(String def4) {
        this.def4 = def4;
    }

    public String getDef5() {
        return def5;
    }

    public void setDef5(String def5) {
        this.def5 = def5;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }
}
